import Form from 'bootstrap3-components/Form';

/**
 * Block of key-value input view.
 *
 * @param 
 */
const NumberInputBlock = ({ label, value, setValue, required, readOnly }: {
  label: string,
  value: number,
  setValue: (s: number) => void,
  required: boolean,
  readOnly: boolean,
}) => {

  return <Form.Group>
    <Form.Label className={required ? 'form-required' : ''}>{label}</Form.Label>
    <input className="form-text form-control" type="number" value={value} onChange={(e) => {
      setValue(parseInt(e.currentTarget.value, 10));
    }} readOnly={readOnly} />
  </Form.Group>;

}

export default NumberInputBlock;
