import Form from 'bootstrap3-components/Form';

/**
 * Block of key-value input view.
 *
 * @param 
 */
const TextareaBlock = ({ label, value, setValue, required, readOnly }: {
  label: string,
  value: string,
  setValue: (s: string) => void,
  required: boolean,
  readOnly: boolean,
}) => {

  return <Form.Group>
    <Form.Label className={required ? 'form-required' : ''}>{label}</Form.Label>
    <div className="form-textarea-wrapper">
      <textarea className={'resize-vertical form-textarea form-control' + (required ? ' required' : '')}
        rows={20} cols={60} value={value} onChange={(e) => {
          setValue(e.currentTarget.value);
        }} readOnly={readOnly} />
    </div>
  </Form.Group>;

}

export default TextareaBlock;
