Feature: Make sure "Authenticated user" cannot add resources

  @api @javascript
  Scenario: Cannot add an instance
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/instance"
    And I should not see "Add | Launch AWS Cloud instance"

  @api @javascript
  Scenario: Cannot add a launch template
    Given I am logged in as a user with the "Authenticated user" role
    When I go to "/clouds/design/server_template/{{ cloud_context }}"
    Then I should get a 403 HTTP response
    When I go to "clouds/design/server_template/{{ cloud_context }}/aws_cloud/add"
    Then I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add an image
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/image"
    And I should not see "Add AWS Cloud image"
    When I go to "/clouds/aws_cloud/{{ cloud_context }}/image/add"
    Then I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a security group
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/security_group"
    And I should not see "Add AWS Cloud security group"
    When I go to "/clouds/aws_cloud/{{ cloud_context }}/security_group/add"
    Then I should get a 403 HTTP response

  @api @javascript
  Scenario: Cannot add a key pair
    Given I am logged in as a user with the "Authenticated user" role
    When I visit "/clouds/aws_cloud/key_pair"
    And I should not see "Add AWS Cloud key pair"
    When I go to "/clouds/aws_cloud/{{ cloud_context }}/key_pair/add"
    Then I should get a 403 HTTP response
