Feature: Create and Delete resources for K8s as "Authenticated User"
  As a user
  I need to create and delete replicaset

  @api @javascript
  Scenario: Create a replicaset
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/replica_set/add"
    And I should see the heading "Add ReplicaSet"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: apps/v1
    kind: ReplicaSet
    metadata:
      name: {{ replicaset_name }}
    spec:
      replicas: {{ replica_count }}
      selector:
        matchLabels:
          app: {{ app_name }}
      template:
        metadata:
          labels:
            app: {{ app_name }}
        spec:
          containers:
          - name: {{ container_name }}
            image: {{ image_version }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/replica_set"
    And I should see "has been created"
    And I should see "{{ replicaset_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete the replicaset
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/replica_set"
    And I click "Refresh"
    And I should see the link "{{ replicaset_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ replicaset_name }}"
    And the url should match "/replica_set/"
    And I click "Delete"
    And the url should match "/delete"
    And I press "Delete"
    And I should be on "/clouds/k8s/{{ cloud_context }}/replica_set"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ replicaset_name }}"
