Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a CronJob

  @api @javascript
  Scenario: Create a CronJob
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/cron_job/add"
    And I should see the heading "Add CronJob"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: batch/v1beta1
    kind: CronJob
    metadata:
      name: {{ cronjob_name }}
    spec:
      schedule: "* * * * *"
      jobTemplate:
        spec:
          template:
            spec:
              containers:
              - name: {{ container_name }}
                image: {{ image_version }}
                imagePullPolicy: IfNotPresent
                command:
                - /bin/sh
                - -c
                - date; echo Hello from the Kubernetes cluster
              restartPolicy: OnFailure
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/cron_job"
    And I should see "has been created"
    And I should see "{{ cronjob_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete the CronJob
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/cron_job"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ cronjob_name }}"
    And I click "{{ cronjob_name }}"
    And the url should match "/k8s/{{ cloud_context }}/cron_job/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/cron_job"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ cronjob_name }}"
