Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a persistent volume

  @api @javascript
  Scenario: Create a persistent volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/persistent_volume/add"
    And I should see the heading "Add Persistent volume"
    And I fill in "Detail" with:
    """
    kind: PersistentVolume
    apiVersion: v1
    metadata:
      name: {{ persistent_volume_name }}
    spec:
      capacity:
        storage: {{ volume_capacity }}
      storageClassName: ''
      volumeMode: Filesystem
      accessModes:
      - ReadWriteOnce
      persistentVolumeReclaimPolicy: Delete
      hostPath:
        path: {{ volume_local_path }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/persistent_volume"
    And I should see "has been created"
    And I should see "{{ persistent_volume_name }}" in the table

  @api @javascript
  Scenario: Delete the persistent volume
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/persistent_volume"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ persistent_volume_name }}"
    And I click "{{ persistent_volume_name }}"
    And the url should match "/k8s/{{ cloud_context }}/persistent_volume/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/persistent_volume"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ persistent_volume_name }}"
