Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a storage class

  @api @javascript
  Scenario: Create a storage class
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/storage_class/add"
    And I should see the heading "Add Storage class"
    # This manifest is only applicable to EKS.
    And I fill in "Detail" with:
    """
    apiVersion: storage.k8s.io/v1
    kind: StorageClass
    metadata:
      name: {{ storage_class_name }}
    provisioner: kubernetes.io/aws-ebs
    parameters:
      type: gp3
    reclaimPolicy: Delete
    allowVolumeExpansion: false
    mountOptions:
      - debug
    volumeBindingMode: Immediate
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/storage_class"
    And I should see "has been created"
    And I should see "{{ storage_class_name }}" in the table

  @api @javascript
  Scenario: Delete the storage class
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/storage_class"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ storage_class_name }}"
    And I click "{{ storage_class_name }}"
    And the url should match "/k8s/{{ cloud_context }}/storage_class/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/storage_class"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ storage_class_name }}"
