Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a resource quota

  @api @javascript
  Scenario: Create a resource quota
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/resource_quota/add"
    And I should see the heading "Add Resource quota"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: v1
    kind: List
    items:
    - apiVersion: v1
      kind: ResourceQuota
      metadata:
        name: {{ resource_quota_name }}
      spec:
        hard:
          cpu: "1000"
          memory: 200Gi
          pods: "10"
        scopeSelector:
          matchExpressions:
          - operator : In
            scopeName: PriorityClass
            values: ["high"]
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/resource_quota"
    And I should see "has been created"
    And I should see "{{ resource_quota_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete the resource quota
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/resource_quota"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ resource_quota_name }}"
    And I click "{{ resource_quota_name }}"
    And the url should match "/k8s/{{ cloud_context }}/resource_quota/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/resource_quota"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ resource_quota_name }}"
