  Feature: Create and Delete resources for K8s as "Authenticated User"
    As a user
    I need to create and delete a ConfigMap

    @api @javascript
    Scenario: Create a ConfigMap
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/config_map/add"
      And I should see the heading "Add ConfigMap"
      And I select "{{ namespace }}" from "Namespace"
      And I fill in "Detail" with:
      """
      apiVersion: v1
      kind: ConfigMap
      metadata:
        name: {{ configmap_name }}
      data:
        key: "value"
      """
      And I press "Save"
      And I wait for AJAX to finish
      Then the url should match "/clouds/k8s/{{ cloud_context }}/config_map"
      And I should see "has been created"
      And I should see "{{ configmap_name }}" in the "{{ namespace }}" row

    @api @javascript
    Scenario: Delete the ConfigMap
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/config_map"
      And I click "Refresh"
      And I should see the link "{{ configmap_name }}"
      And I wait {{ wait }} milliseconds
      And I click "{{ configmap_name }}"
      And the url should match "/config_map/"
      And I click "Delete"
      And the url should match "/delete"
      And I press "Delete"
      And I should be on "/clouds/k8s/{{ cloud_context }}/config_map"
      And I should see "has been deleted"
      And I click "Refresh"
      And I should not see the link "{{ configmap_name }}"
