Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete an endpoint

  @api @javascript
  Scenario: Create an endpoint
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/endpoint/add"
    And I should see the heading "Add Endpoint"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: v1
    kind: Endpoints
    metadata:
      name: {{ endpoint_name }}
    subsets:
      - addresses:
          - ip: 192.0.2.42
        ports:
          - port: {{ targetPort }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/endpoint"
    And I should see "has been created"
    And I should see "{{ endpoint_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete the endpoint
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/endpoint"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ endpoint_name }}"
    And I click "{{ endpoint_name }}"
    And the url should match "/k8s/{{ cloud_context }}/endpoint/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/endpoint"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ endpoint_name }}"
