  Feature: Create and Delete resources K8s as "Authenticated User"
    As a user
    I need to create and delete a secret

    @api @javascript
    Scenario: Create a secret
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/secret/add"
      And I should see the heading "Add Secret"
      And I select "{{ namespace }}" from "Namespace"
      And I fill in "Detail" with:
      """
      apiVersion: v1
      kind: Secret
      metadata:
        name: {{ secret_name }}
      data:
        username: {{ secret_key }}
        password: {{ secret_value }}
      """
      And I press "Save"
      And I wait for AJAX to finish
      Then the url should match "/clouds/k8s/{{ cloud_context }}/secret"
      And I should see "has been created"
      And I should see "{{ secret_name }}" in the "{{ namespace }}" row

    @api @javascript
    Scenario: Delete the secret
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/secret"
      And I click "Refresh"
      And I should see the link "{{ secret_name }}"
      And I wait {{ wait }} milliseconds
      And I click "{{ secret_name }}"
      And the url should match "/secret/"
      And I click "Delete"
      And the url should match "/delete"
      And I press "Delete"
      And I should be on "/clouds/k8s/{{ cloud_context }}/secret"
      And I should see "has been deleted"
      And I click "Refresh"
      And I should not see the link "{{ secret_name }}"
