Feature: Create resources for K8s as "Authenticated User"
  As a user
  I need to create and delete a service account

  @api @javascript
  Scenario: Create a service account
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/service_account/add"
    And I should see the heading "Add ServiceAccount"
    And I select "{{ namespace }}" from "Namespace"
    And I fill in "Detail" with:
    """
    apiVersion: v1
    kind: ServiceAccount
    metadata:
      name: {{ serviceaccount_name }}
    """
    And I press "Save"
    And I wait for AJAX to finish
    Then the url should match "/clouds/k8s/{{ cloud_context }}/service_account"
    And I should see "has been created"
    And I should see "{{ serviceaccount_name }}" in the "{{ namespace }}" row

  @api @javascript
  Scenario: Delete the service account
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/k8s/{{ cloud_context }}/service_account"
    And I click "Refresh"
    And I wait {{ wait }} milliseconds
    And I should see the link "{{ serviceaccount_name }}"
    And I click "{{ serviceaccount_name }}"
    And the url should match "/k8s/{{ cloud_context }}/service_account/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    And I wait for AJAX to finish
    Then I should be on "/clouds/k8s/{{ cloud_context }}/service_account"
    And I should see "has been deleted"
    And I click "Refresh"
    And I should not see the link "{{ serviceaccount_name }}"
