  Feature: Create and Delete resources K8s as "Authenticated User"
    As a user
    I need to create and delete role

    @api @javascript
    Scenario: Create a role
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/role/add"
      And I should see the heading "Add Role"
      And I select "{{ namespace }}" from "Namespace"
      And I fill in "Detail" with:
      """
      apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      metadata:
        name: {{ role_name }}
      rules:
      - apiGroups: ["{{ role_api }}"]
        resources: ["{{ role_resource }}"]
        verbs: ["{{ role_verb }}"]
      """
      And I press "Save"
      And I wait for AJAX to finish
      Then the url should match "/clouds/k8s/{{ cloud_context }}/role"
      And I should see "has been created"
      And I should see "{{ role_name}}" in the "{{ namespace }}" row

    @api @javascript
    Scenario: Delete a role
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/role"
      And I click "Refresh"
      And I should see the link "{{ role_name }}"
      And I wait {{ wait }} milliseconds
      And I click "{{ role_name }}"
      And the url should match "/role/"
      And I click "Delete"
      And the url should match "/delete"
      And I press "Delete"
      And I should be on "/clouds/k8s/{{ cloud_context }}/role"
      And I should see "has been deleted"
      And I click "Refresh"
      And I should not see the link "{{ role_name }}"
