  Feature: Create and Delete resources K8s as "Authenticated User"
    As a user
    I need to create and delete role binding

    @api @javascript
    Scenario: Create a role binding
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/role_binding/add"
      And I should see the heading "Add Role binding"
      And I select "{{ namespace }}" from "Namespace"
      And I fill in "Detail" with:
      """
      apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      metadata:
        name: {{ role_binding_name }}
      subjects:
      - kind: {{ role_binding_sub_kind }}
        name: {{ role_binding_sub_user }}
        apiGroup: {{ role_binding_api }}
      roleRef:
        kind: {{ role_binding_role_kind }}
        name: {{ role_name }}
        apiGroup: {{ role_binding_api }}
      """
      And I press "Save"
      And I wait for AJAX to finish
      Then the url should match "/clouds/k8s/{{ cloud_context }}/role_binding"
      And I should see "has been created"
      And I should see "{{ role_binding_name }}" in the "{{ namespace }}" row

    @api @javascript
    Scenario: Delete a role binding
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/role_binding"
      And I click "Refresh"
      And I should see the link "{{ role_binding_name }}"
      And I wait {{ wait }} milliseconds
      And I click "{{ role_binding_name }}"
      And the url should match "/role_binding/"
      And I click "Delete"
      And the url should match "/delete"
      And I press "Delete"
      And I should be on "/clouds/k8s/{{ cloud_context }}/role_binding"
      And I should see "has been deleted"
      And I click "Refresh"
      And I should not see the link "{{ role_binding_name }}"
