  Feature: Create and Delete resources K8s as "Authenticated User"
    As a user
    I need to create and delete cluster role

    @api @javascript
    Scenario: Create a cluster role
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/cluster_role/add"
      And I fill in "Detail" with:
      """
      apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      metadata:
        name: {{ cluster_role_name }}
      rules:
      - apiGroups: ["{{ role_api }}"]
        resources: ["{{ role_resource }}"]
        verbs: ["{{ role_verb }}"]
      """
      And I press "Save"
      And I wait for AJAX to finish
      Then the url should match "/clouds/k8s/{{ cloud_context }}/cluster_role"
      And I should see "has been created"
      And I should see "{{ cluster_role_name }}" 

    @api @javascript
    Scenario: Delete a cluster role
      Given I am logged in as user "{{ user_name }}"
      When I visit "/clouds/k8s/{{ cloud_context }}/cluster_role"
      And I click "Refresh"
      And I should see the link "{{ cluster_role_name }}"
      And I wait {{ wait }} milliseconds
      And I click "{{ cluster_role_name }}"
      And the url should match "/cluster_role/"
      And I click "Delete"
      And the url should match "/delete"
      And I press "Delete"
      And I should be on "/clouds/k8s/{{ cloud_context }}/cluster_role"
      And I should see "has been deleted"
      And I click "Refresh"
      And I should not see the link "{{ cluster_role_name }}"
